Subject: Re: bug#12303: [MICROBUG]: gnulib doesn't add lib/spawn.h to .gitignore?

From: Assaf Gordon <[email-masked]>
Date: Fri, 19 Oct 2018 16:24:58 -0600

tags 12303 fixed
close 12303
stop

(triaging old bugs)

On 29/08/12 05:33 AM, Stefano Lattarini wrote:
> 
> In GNU coreutils, the gnulib-provided 'bootstrap' script fails to add
> the generated file 'lib/spawn.h' to the .gitignore in 'lib/':
> 
>    $ ./bootstrap && ./configure && make
>    ... [all is OK]
>    $ git status
>    ...
>    # Untracked files:
[...]
> Since I don't know where the problem might lie (coreutils or gnulib?),
> and since I have no time to investigate at the moment, I'm reporting
> the issue to both lists.

Thanks for the report (and sorry for the very late reply).

These untracked,un-ignored files do pop-up from time to time
until gnulib/coreutils are sync'd.

I now checked a pristine clone of from git (v8.30-18-g571f63f50)
and there are no untracked,un-ignored files generated.
(however, it's not impossible more instances will appear in the future).

But for now, I'm marking this as "fixed".

-assaf